## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl  https://gitlab.freedesktop.org/monado/utilities/xr-hardware
%global commit    56084b46e80935a3c2e2ab7b7703a2e3f75070ce
%global date      20241211
%forgemeta

Name:           xr-hardware
Version:        1.1.1
Release:        %autorelease
Summary:        Udev rules files for normal user access to XR input devices

License:        BSL-1.0
URL:            %{forgeurl}
Source0:        %{forgesource}

BuildRequires:  make
BuildRequires:  python3
BuildRequires:  python3dist(attrs)
BuildRequires:  python3dist(flake8)
BuildRequires:  systemd-rpm-macros

Requires:       systemd-udev

BuildArch:      noarch

%description
This package contains a udev rules file to permit access to virtual reality
(VR) and augmented reality (AR), collectively "XR", interaction devices as a
normal user.

%prep
%forgeautosetup -p1

%build
%make_build

%install
%make_install RULES_DIR="%{_udevrulesdir}"

%check
make test

%files
%license LICENSE.txt
%doc README.md CHANGELOG.md
%{_udevrulesdir}/70-xrhardware.rules

%changelog
## START: Generated by rpmautospec
* Sat Mar 29 2025 Jonathan Steffan <jsteffan@fedoraproject.org> - 1.1.1-1
- Update to latest.

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Dec 24 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 1.1.0-1
- Initial import; Fixes: RHBZ#2244982
## END: Generated by rpmautospec
